Subject: Re: [PATCH v2] powerpc/83xx: add support for mpc8306

From: Paul Bolle <[email-masked]>
Date: Fri, 03 Apr 2015 23:31:00 +0200

On Fri, 2015-04-03 at 14:45 +0200, Filip Brozović wrote:
> The idea was that boards in the Kconfig file would select these symbols 
> in order to enable support for the 8306. I mainly wanted to get this 
> patch into mainline in order to make kernel maintenance for a couple of 
> custom in-house developed boards easier.

The trouble with this patch is that, without some follow up patch, it
adds Kconfig symbols and preprocessor checks that are pointless for
mainline. I think we should not do that. (I'm also not sure how having
those bits in mainline substantially benefits out of tree development.)

But if you would put this in a series that also adds the code using
these bits, than I'd have no reason to object (and neither would, I
guess, the bots checking the tree for issues like that).

Thanks,

Paul Bolle